Bug 1573623 - Docs for customizing horizon dashboard in OSP12 are incorrect
Summary: Docs for customizing horizon dashboard in OSP12 are incorrect
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: documentation
Version: 12.0 (Pike)
Hardware: Unspecified
OS: Unspecified
high
urgent
Target Milestone: ---
: ---
Assignee: Dan Macpherson
QA Contact: Alex McLeod
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-01 19:38 UTC by Jeremy
Modified: 2018-07-26 01:46 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-07-26 01:46:31 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Jeremy 2018-05-01 19:38:23 UTC
Description of problem: Docs [1] shows how to do in osp11 (appears to be copy of that version) . However in osp12 we use containers so the method is different. You will have to modify the horizon container and restart the process instead of the systemd service. Also will need to re-create the container image with the changes so they are persistent.

[1]  https://access.redhat.com/documentation/en-us/red_hat_openstack_platform/12/html/introduction_to_the_openstack_dashboard/dashboard-customization

Version-Release number of selected component (if applicable):
OSP12

Comment 1 Red Hat Bugzilla Rules Engine 2018-05-01 19:38:28 UTC
This bugzilla has been removed from the release since it has not been triaged, and needs to be reviewed for targeting another release.

Comment 2 Jeremy 2018-05-17 13:32:21 UTC



Another major issue is compared from OSP10, in the third step for osp12 all the paths are already relative, so no changes are necessary. If paths are changed in the custom them it will not work and break horizon!


Note You need to log in before you can comment on or make changes to this bug.